all:	linux_summer

INSTALL_DIR=please_set_the_INSTALL_DIR_variable_in_the_top_level_makefile_and_run_make_config
LIB=$(INSTALL_DIR)/lib

LINUXPORTS=$(LIB)/linux_tmports.o

linux_summer:	sunsummer.c
	cc -o linux_summer sunsummer.c $(LINUXPORTS)

bits:	top.vhd summer.v usb_portmux.v
	qcmd top.vhd

usb_portmux.v:	top.ports
	$(INSTALL_DIR)/bin/tmu top

clean:
	rm -rf linux_summer *.o

reallyclean:	clean
	rm -rf db incremental_db *.rpt *.summary top.sof top.jdi top.pin top_assignment_defaults.qdf top.done top.cdf *.smsg
	rm -rf fpga0.ports usb_portmux make.out *.qws
